%define upstream_name    CGI-Test
%define upstream_version 0.3

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Off-line CGI test framework
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::TreeBuilder)
BuildRequires: perl(HTTP::Message)
BuildRequires: perl(Storable) >= 1.0.0
BuildRequires: perl(URI) >= 1.100.0
BuildArch:  noarch

%description
The 'CGI::Test' module provides a CGI regression test framework which
allows you to run your CGI programs offline, i.e. outside a web server, and
interact with them programmatically, without the need to type data and
click from a web browser.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.300.0-3.mga4
+ Revision: 509543
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.300.0-2.mga3
+ Revision: 363577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.300.0-1.mga3
+ Revision: 254575
- update to 0.3

* Mon May 28 2012 kharec <kharec> 0.2.4-1.mga3
+ Revision: 248295
- update to 0.2.4

* Mon Nov 21 2011 kharec <kharec> 0.2.3-1.mga2
+ Revision: 170325
- update to 0.2.3

* Sun Nov 20 2011 kharec <kharec> 0.2.2-1.mga2
+ Revision: 170105
- make a shorten description
- imported package perl-CGI-Test


* Sun Nov 20 2011 cpan2dist 0.2.2-1mga
- initial mageia release, generated with cpan2dist
